API ReferenceChangelogDiscussions
Log In
API Reference

List routes

Returns a list of routes, depending on the filtering conditions specified, with a pagination process.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Payload used to specify the filtering informations

agenciesIds
array of strings
length ≥ 0

Use this field to filter result on agencies. Only routes of the specified agencies will be returned.

agenciesIds
string

Use this field to filter result on assigned person id (email).

string

If filtered elements number is greater than specified page size, use this field to get the next page of data. The continuation token is returned by the previous request. Filtering parameters must be the same between two requests so that the continuation token can be used.

string

Use this field to filter result on contractor identifier. Only routes dedicated to this contractor will be returned

boolean

Use this field to hide the step of the filter route.By default the displayRouteStep value is true.

date-time

Use this field to filter result on modification date. Only routes with modification date lesser or equal will be returned.

date-time

Use this field to filter result on modification date. Only routes with modification date greater or equal will be returned

int32
1 to 10000
Defaults to 100

Use this field to limit the number of elements returned. The number of routes actually returned can be greater than specified page size due to underlying database paging process. To get all the data corresponding to your filters, you should keep calling new requests (with the same filters and the last continuation token) while the last response contains a continuation token.

routeIds
array of strings
length between 0 and 1000

List of route identifiers. If provided, all other filtering parameters are ignored.

routeIds
date-time

Use this field to filter result on start time. Only routes with start time greater or equal will be returned

date-time

Use this field to filter result on start time. Only routes with start time lesser or equal will be returned.

string

Use this field to filter result on sub-contractor identifier. Only routes assigned to this sub-contractor will be returned

boolean
Defaults to false

If true, only unfinished routes will be returned.

boolean
Defaults to false

If true, a wkt (WellKnownText) representation of each route is returned

Headers
boolean
Defaults to false
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json